## visad.cluster
Class RemoteClientAgentImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.cluster.RemoteClientAgentImpl

All Implemented Interfaces:
  Remote, RemoteClientAgent, Serializable

public class RemoteClientAgentImpl
extends UnicastRemoteObject
implements RemoteClientAgent

RemoteClientAgentImpl is the class for agents on the client, which typically send NodeAgents to each node.

See Also:
  Serialized Form

Field Summary
`(package private) Serializable[]` `responses`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteClientAgentImpl(RemoteClientAgentImpl fa, int ind)`
`RemoteClientAgentImpl(RemoteClientAgentImpl fa, int ind, long to)`

Method Summary
`Serializable[]` `broadcastWithResponses(Serializable[] messages, RemoteAgentContact[] contacts)`
`Serializable[]` `broadcastWithResponses(Serializable message, RemoteAgentContact[] contacts)`
`void` `sendToClient(int ind, Serializable message)`
`void` `sendToClient(Serializable message)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### responses

    Serializable[] responses

Constructor Detail

### RemoteClientAgentImpl

    public RemoteClientAgentImpl(RemoteClientAgentImpl fa,
                                 int ind)
                          throws RemoteException

### RemoteClientAgentImpl

    public RemoteClientAgentImpl(RemoteClientAgentImpl fa,
                                 int ind,
                                 long to)
                          throws RemoteException

Method Detail

### sendToClient

    public void sendToClient(Serializable message)
                      throws RemoteException

  Specified by:
    `sendToClient` in interface `RemoteClientAgent`
  Throws:
    `RemoteException`

### sendToClient

    public void sendToClient(int ind,
                             Serializable message)
                      throws RemoteException

  Throws:
    `RemoteException`

### broadcastWithResponses

    public Serializable[] broadcastWithResponses(Serializable message,
                                                 RemoteAgentContact[] contacts)
                                          throws VisADException,
                                                 RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### broadcastWithResponses

    public Serializable[] broadcastWithResponses(Serializable[] messages,
                                                 RemoteAgentContact[] contacts)
                                          throws VisADException,
                                                 RemoteException

  Throws:
    `VisADException`
    `RemoteException`